<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'hebrew';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'he_IL.ISO8859-8';
		break;

	default:
		$locale = 'he_IL';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'rtl',
'lang_encoding'			=>	'he-iso-8859-8-i',
'lang_multibyte'		=>	false,

// Notices
'Bad request'			=>	'  .       .',
'No permission'			=>	'       .',
'Bad referer'			=>	' .      .    .     \' \'               ',

// Miscellaneous (used in many scripts)
'Announcement'			=>	'',
'Options'				=>	'',
'Actions'				=>	'',
'Submit'				=>	'  ',	// "name" of submit buttons
'Ban message'			=>	'  ,     .',
'Ban message 2'			=>	'   ',
'Ban message 3'			=>	' /  ,    :',
'Ban message 4'			=>	'      ',
'Never'					=>	' ',
'Today'					=>	'',
'Yesterday'				=>	'',
'Info'					=>	'',		// a common table header
'Go back'				=>	'',
'Maintenance'			=>	'',
'Redirecting'			=>	'  ...',
'Click redirect'		=>	'       (       )',
'Login required'		=>	'      .',
'on'					=>	'',		// as in "BBCode is on"
'off'					=>	' ',
'Invalid e-mail'		=>	'     .',
'required field'		=>	'    .',	// for javascript form validation
'Last post'				=>	' ',
'by'					=>	'"',	// as in last post by someuser
'New posts'				=>	'&nbsp;',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'     .',	// the popup text for new posts links
'Username'				=>	' ',
'Password'				=>	'',
'E-mail'				=>	'E-mail',
'Send e-mail'			=>	' E-mail',
'Registered'			=>	'',
'Subject'				=>	'',
'Message'				=>	'',
'Topic'					=>	'',
'Forum'					=>	'',
'Posts'					=>	'',
'Replies'				=>	'',
'Author'				=>	'',
'Pages'					=>	'',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] ',
'Smilies'				=>	'',
'and'					=>	'',
'Image link'			=>	'',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'',	// For [quote]'s
'Code'					=>	'',		// For [code]'s
'Mailer'				=>	' "',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'',
'Member'				=>	'',	// Default title
'Moderator'				=>	' ',
'Administrator'			=>	' ',
'Banned'				=>	'',
'Guest'					=>	'',

// Stuff for include/parser.php
'BBCode error'			=>	'  -BB   .',
'BBCode error 1'		=>	'   [/quote] .',
'BBCode error 2'		=>	'   [code] .',
'BBCode error 3'		=>	'   [/code] .',
'BBCode error 4'		=>	'     [quote] .',
'BBCode error 5'		=>	'     [/quote] .',

// Stuff for the navigator (top of every page)
'Home'					=>	' ',
'User list'				=>	' ',
'Rules'					=>  '',
'Search'				=>  '',
'Register'				=>  '',
'Login'					=>  '',
'Not logged in'			=>  '  .',
'Profile'				=>	'',
'Logout'				=>	'',
'Logged in as'			=>	'  ',
'Admin'					=>	' ',
'Last visit'			=>	' ',

// Stuff for the page footer
'Show new posts'		=>	'    ',
'Show unanswered posts'	=>	'   ',
'Show your posts'		=>	'  ',
'Mark all as read'		=>	'    ',
'Jump to'				=>	' ',
'Go'					=>	'  ',		// submit button in forum jump
'Move topic'			=>  ' ',
'Open topic'			=>  '  ',
'Close topic'			=>  ' ',
'Unstick topic'			=>  '  ',
'Stick topic'			=>  '  ',
'Moderate forum'		=>	' ',
'Delete posts'			=>	'  '

);
